FROM node:18-alpine

WORKDIR /app

# Копируем package.json и устанавливаем зависимости
COPY package*.json ./
RUN npm install

# Копируем все файлы сайта
COPY . .

# Открываем порт
EXPOSE 8000

# Запускаем веб-сервер
CMD ["npm", "start"]
